/// @file GLTFLoaderStyle.h by Robert Poncelet
#pragma once

#include "SlateBasics.h"

/// Boilerplate class provided by Unreal.
class FGLTFLoaderStyle
{
public:

	static void Initialize();

	static void Shutdown();

	/** reloads textures used by slate renderer */
	static void ReloadTextures();

	/** @return The Slate style set for the Shooter game */
	static const ISlateStyle& Get();

	static FName GetStyleSetName();

private:

	static TSharedRef< class FSlateStyleSet > Create();

private:

	static TSharedPtr< class FSlateStyleSet > StyleInstance;
};